Bug 765124 - (GLUSTER-3392) running 'pi' two times throws exception on 'dist-striped-rep' gluster volume
running 'pi' two times throws exception on 'dist-striped-rep' gluster volume
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: HDFS (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Watt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 03:25 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2011-08-11 03:25:30 EDT
I ran pi the two time in tandem. First time it didn't get any exception. 'Pi' value estimated was correct. But when I ran 'pi' for the second time, I got some exception, but the job itself ran fine. Even here 'pi' value was accurate. 
Gluster volume is of type 'Distributed-Striped-Replicate'. I have pasted the backtrace below.

11/08/11 00:19:15 INFO mapred.JobClient: Task Id : attempt_201108110014_0002_m_000002_0, Status : FAILED
java.io.IOException: /mnt/glusterfs/PiEstimator_TMP_3_141592654/in/part36 does not exist.
        at org.apache.hadoop.fs.glusterfs.GlusterFileSystem.getLength(GlusterFileSystem.java:393)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1417)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1412)
        at org.apache.hadoop.mapred.SequenceFileRecordReader.<init>(SequenceFileRecordReader.java:43)
        at org.apache.hadoop.mapred.SequenceFileInputFormat.getRecordReader(SequenceFileInputFormat.java:63)
        at org.apache.hadoop.mapred.MapTask.runOldMapper(MapTask.java:338)
        at org.apache.hadoop.mapred.MapTask.run(MapTask.java:307)
        at org.apache.hadoop.mapred.Child.main(Child.java:170)

attempt_201108110014_0002_m_000002_0: Initializing GlusterFS
11/08/11 00:19:15 INFO mapred.JobClient: Task Id : attempt_201108110014_0002_m_000003_0, Status : FAILED
java.io.IOException: /mnt/glusterfs/PiEstimator_TMP_3_141592654/in/part16 does not exist.
        at org.apache.hadoop.fs.glusterfs.GlusterFileSystem.getLength(GlusterFileSystem.java:393)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1417)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1412)
        at org.apache.hadoop.mapred.SequenceFileRecordReader.<init>(SequenceFileRecordReader.java:43)
        at org.apache.hadoop.mapred.SequenceFileInputFormat.getRecordReader(SequenceFileInputFormat.java:63)
        at org.apache.hadoop.mapred.MapTask.runOldMapper(MapTask.java:338)
        at org.apache.hadoop.mapred.MapTask.run(MapTask.java:307)
        at org.apache.hadoop.mapred.Child.main(Child.java:170)

attempt_201108110014_0002_m_000003_0: Initializing GlusterFS
11/08/11 00:19:16 INFO mapred.JobClient:  map 44% reduce 0%
11/08/11 00:19:16 INFO mapred.JobClient: Task Id : attempt_201108110014_0002_m_000006_0, Status : FAILED
java.io.IOException: /mnt/glusterfs/PiEstimator_TMP_3_141592654/in/part5 does not exist.
        at org.apache.hadoop.fs.glusterfs.GlusterFileSystem.getLength(GlusterFileSystem.java:393)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1417)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1412)
        at org.apache.hadoop.mapred.SequenceFileRecordReader.<init>(SequenceFileRecordReader.java:43)
        at org.apache.hadoop.mapred.SequenceFileInputFormat.getRecordReader(SequenceFileInputFormat.java:63)
        at org.apache.hadoop.mapred.MapTask.runOldMapper(MapTask.java:338)
        at org.apache.hadoop.mapred.MapTask.run(MapTask.java:307)
        at org.apache.hadoop.mapred.Child.main(Child.java:170)

attempt_201108110014_0002_m_000006_0: Initializing GlusterFS
11/08/11 00:19:16 INFO mapred.JobClient: Task Id : attempt_201108110014_0002_m_000004_0, Status : FAILED
java.io.IOException: /mnt/glusterfs/PiEstimator_TMP_3_141592654/in/part21 does not exist.
        at org.apache.hadoop.fs.glusterfs.GlusterFileSystem.getLength(GlusterFileSystem.java:393)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1417)
        at org.apache.hadoop.io.SequenceFile$Reader.<init>(SequenceFile.java:1412)
        at org.apache.hadoop.mapred.SequenceFileRecordReader.<init>(SequenceFileRecordReader.java:43)
        at org.apache.hadoop.mapred.SequenceFileInputFormat.getRecordReader(SequenceFileInputFormat.java:63)
        at org.apache.hadoop.mapred.MapTask.runOldMapper(MapTask.java:338)
        at org.apache.hadoop.mapred.MapTask.run(MapTask.java:307)
        at org.apache.hadoop.mapred.Child.main(Child.java:170)

attempt_201108110014_0002_m_000004_0: Initializing GlusterFS
11/08/11 00:19:17 INFO mapred.JobClient:  map 56% reduce 0%
11/08/11 00:19:19 INFO mapred.JobClient:  map 75% reduce 0%
11/08/11 00:19:20 INFO mapred.JobClient:  map 87% reduce 18%
11/08/11 00:19:22 INFO mapred.JobClient:  map 100% reduce 18%
Comment 1 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.